MASTER_PORT=28765
MODEL=llama3.1-8b
LR=1e-5

export HF_HOME=/data/sungjuncho/tmp/

for SPLIT in full retain90 retain95 retain99
do
    CUDA_VISIBLE_DEVICES=0,1,2,3 torchrun \
    --nproc_per_node=4 \
    --master_port=${MASTER_PORT} \
    finetune.py \
    --config-name=finetune.yaml \
    split=${SPLIT} \
    batch_size=1 \
    gradient_accumulation_steps=8 \
    model_family=${MODEL} \
    lr=${LR}
done
